Open Lighting Architecture: ola::plugin::uartdmx::UartWidget Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::uartdmx::UartWidget Class Reference

## Detailed Description

An UART widget (i.e. a serial port with suitable hardware attached)

## Public Member Functions
| UartWidget (const std::string &path)
virtual | ~UartWidget ()
std::string | Name () const
std::string | Description () const
bool | Open ()
bool | Close ()
bool | IsOpen () const
bool | SetBreak (bool on)
bool | Write (const ola::DmxBuffer &data)
bool | Read (unsigned char *buff, int size)
bool | SetupOutput ()

## Constructor & Destructor Documentation

## ◆ UartWidget()

ola::plugin::uartdmx::UartWidget::UartWidget | ( | const std::string & | path | ) |
| explicit

Construct a new UartWidget instance for one widget.

Parameters

  path | The device file path of the serial port

## ◆ ~UartWidget()

ola::plugin::uartdmx::UartWidget::~UartWidget | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

## ◆ Close()

bool ola::plugin::uartdmx::UartWidget::Close | ( |  | ) |

Close the widget

## ◆ IsOpen()

bool ola::plugin::uartdmx::UartWidget::IsOpen | ( |  | ) | const

Check if the widget is open

## ◆ Name()

std::string ola::plugin::uartdmx::UartWidget::Name | ( |  | ) | const
| inline

Get the widget's device name

## ◆ Open()

bool ola::plugin::uartdmx::UartWidget::Open | ( |  | ) |

Open the widget

## ◆ Read()

bool ola::plugin::uartdmx::UartWidget::Read | ( | unsigned char * | buff,
|  | int | size )

Read data from a previously-opened line

## ◆ SetBreak()

bool ola::plugin::uartdmx::UartWidget::SetBreak | ( | bool | on | ) |

Toggle communications line BREAK condition on/off

## ◆ SetupOutput()

bool ola::plugin::uartdmx::UartWidget::SetupOutput | ( |  | ) |

Setup device for DMX Output

Setup our device for DMX send Also used to test if device is working correctly before AddDevice()

## ◆ Write()

bool ola::plugin::uartdmx::UartWidget::Write | ( | const ola::DmxBuffer & | data | ) |

Write data to a previously-opened line

The documentation for this class was generated from the following files:

- plugins/uartdmx/UartWidget.h
- plugins/uartdmx/UartWidget.cpp